!/*@@
!
! $Id: parameters.f90,v 1.9 1997/09/19 16:59:01 haupt Exp $
!
!@@*/
!/*@@
!   @file parameters.f90
!   @author T.Haupt
!@@*/

module parameters
  integer, parameter :: DIM = 3
  integer, parameter :: NGF = 96
  integer, parameter :: NGF1D = 49 

  integer, parameter ::ONELEVEL=17

! format of DAGH directives: 
! type name time_stencil n n-1 n+1 alias_n alias_n-1 alias_n+1

!DAGH$ ADMstensor g 1 g gm1 gp1 g_n g_avg g_np1
  real*8,dimension(:,:,:),pointer,save:: g0,g1,g2,g3,g4,g5
  real*8,dimension(:,:,:),pointer,save:: gm10,gm11,gm12,gm13,gm14,gm15
  real*8,dimension(:,:,:),pointer,save:: gp10,gp11,gp12,gp13,gp14,gp15

!DAGH$ ADMstensor k 1 k km1 kp1 k_n k_avg k_np1
  real*8,dimension(:,:,:),pointer,save:: k0,k1,k2,k3,k4,k5
  real*8,dimension(:,:,:),pointer,save:: km10,km11,km12,km13,km14,km15
  real*8,dimension(:,:,:),pointer,save:: kp10,kp11,kp12,kp13,kp14,kp15

!DAGH$ ADMscalar alpha 1 alpha alpha_old alpha1 alpha_avg alpha_old alpha1
!DAGH$ ADMvector beta 1 beta beta_old beta1 beta_n beta_avg beta1
  real*8,dimension(:,:,:),pointer,save::alph,beta0,beta1,beta2
  real*8,dimension(:,:,:),pointer,save::beta_old0,beta_old1,beta_old2

!DAGH$ BHmask theMask 1 mask mask_old mask1 theMask mask_old mask1
  real*8,dimension(:,:,:),pointer,save:: mask,maskold 

!DAGH$ ADMscalar obmask 0
  real*8,dimension(:,:,:),pointer,save:: obmask

!DAGH$ SArray shift_p 0
!DAGH$ SArray shift_po 0
!DAGH$ TArray shift_t 0

  integer,dimension(:),pointer,save ::  shift_p1,shift_p2,shift_p3
  integer,dimension(:),pointer,save ::  shift_t
  integer,dimension(:),pointer,save ::  shift_p1o,shift_p2o,shift_p3o,shift_bo
  integer,dimension(:),pointer,save ::  shift_b 
  integer,dimension(:),pointer,save ::  tshift_p1,tshift_p2,tshift_p3
  integer,dimension(:),pointer,save ::  tshift_b,tshift_t

!DAGH$ ADMtemp tmp_pool

! end of ADM variables

!DAGH$ double params 
!DAGH$ double time
!DAGH$ int compute_xyz
!DAGH$ int titer
!DAGH$ double nhc_norm

!DAGH$ SArray shift_p1
!DAGH$ SArray shift_p2
!DAGH$ SArray shift_p3
!DAGH$ SArray shift_p1o
!DAGH$ SArray shift_p2o
!DAGH$ SArray shift_p3o
!DAGH$ SArray shift_b
!DAGH$ SArray shift_bo
!DAGH$ SArray num_int_points
!DAGH$ SArray num_int_pointso

!DAGH$ TArray tshift_p1
!DAGH$ TArray tshift_p2
!DAGH$ TArray tshift_p3
!DAGH$ TArray tshift_b
!DAGH$ TArray tshift_t
!DAGH$ TArray np

end module parameters
